Bug 1538828 - standalone Telemetry.yaml role has wrong services and typo
Summary: standalone Telemetry.yaml role has wrong services and typo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 12.0 (Pike)
Assignee: James Slagle
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 22:53 UTC by James Slagle
Modified: 2018-03-28 17:17 UTC (History)
3 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.9-3.el7ost
Doc Type: Bug Fix
Doc Text:
The standalong Telemetry role shipped with the openstack-tripleo-heat-templates at /usr/share/openstack-tripleo-heat-templates/roles/Telemetry.yaml contained the wrong list of services. As a result, any attempts to deploy an overcloud using the standalone role would end in a failed deployment with no functioning Telemetry services. With this update, the list of roles has been corrected. As a result, the overcloud is now successfully deployed with the standalone Telemetry role.
Clone Of:
Environment:
Last Closed: 2018-03-28 17:16:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0602 None None None 2018-03-28 17:17:11 UTC
OpenStack gerrit 540898 None None None 2018-02-05 15:53:40 UTC
Launchpad 1745503 None None None 2018-01-25 23:26:43 UTC

Description James Slagle 2018-01-25 22:53:25 UTC
The standalone role for Telemetry from tripleo-heat-templates at roles/Telemetry.yaml has a typo:

"OS::TrieplO::Services::CeilometerCollector"

should be:

"OS::TripleO::Services::CeilometerCollector"

It also has services that shouldn't be there including Keystone, MySQL, and RabbitMQ and probably others.

It's likely missing services as well.

Comment 2 James Slagle 2018-03-06 15:53:03 UTC
this was picked up in the downstream rebase to 7.0.9

Comment 9 Gurenko Alex 2018-03-13 09:12:44 UTC
Verified on puddle 2018-03-10.1

Comment 12 errata-xmlrpc 2018-03-28 17:16:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0602


Note You need to log in before you can comment on or make changes to this bug.